      INTEGER maxLegends, maxContours, maxContourX, maxContourY
      INTEGER toptext, bottomtext, lefttext, righttext, centertext
      INTEGER NormWidth, solidln, maxgroup
      INTEGER nfonts
      PARAMETER (maxgroup = 5)
      PARAMETER (maxLegends = 10)
      PARAMETER (maxContours = 60)
      PARAMETER (maxContourX = 60)
      PARAMETER (maxContourY = 60)
      !!! Text and LineStyle Constants
      PARAMETER (toptext = 2)
      PARAMETER (bottomtext = 0)
      PARAMETER (lefttext = 0)
      PARAMETER (righttext = 2)
      PARAMETER (centertext = 1)
      PARAMETER (NormWidth = 1)
      PARAMETER (solidln = 1)
      !!! Font Constants
      PARAMETER (nfonts = 6)

      STRUCTURE /RECT/
         INTEGER LEFT
         INTEGER TOP
         INTEGER RIGHT
         INTEGER BOTTOM
      END STRUCTURE

      STRUCTURE /WORLDRECT/
         REAL LEFT
         REAL TOP
         REAL RIGHT
         REAL BOTTOM
      END STRUCTURE

      STRUCTURE /GroupInfoRec/
        INTEGER GroupColor
        INTEGER GroupHatch
      END STRUCTURE

      STRUCTURE /explodeRec/
        LOGICAL explodetrue
        REAL percent
      END STRUCTURE

      STRUCTURE  /grstype/
          RECORD /WorldRect/ plotworld
          RECORD /WorldRect/ plotclip
          RECORD /WorldRect/ win2plotratio
          RECORD /Rect/  plotrect
          RECORD /Rect/ drawingRect
          LOGICAL LogX
          LOGICAL LogY
          INTEGER numticx
          INTEGER numticy
          REAL xint
          REAL yint
          REAL tsx
          REAL tsy
          REAL ticspacex
          REAL ticspacey
      END STRUCTURE
      STRUCTURE /Point2d/
        REAL X
        REAL Y
      END STRUCTURE

      STRUCTURE /Point3d/
        REAL X
        REAL Y
        REAL Z
      END STRUCTURE

      STRUCTURE /xyrec/
        INTEGER x
        INTEGER y
      END STRUCTURE

      STRUCTURE /xyerec/
        INTEGER x
        INTEGER y
        INTEGER edge
      END STRUCTURE
